<?php

if ( !defined( 'ABSPATH' ) )exit;

$cf7_list = apply_filters( 'turkeysms_contact_form_7_list', '' );
$turkeysms = new TurkeySMS_SMS( get_option( "turkeysms_user" ), get_option( "turkeysms_pass" ), get_option( "turkeysms_input_smstitle" ) );
$cevap = json_decode( $turkeysms->turkeysms_GirisSorgula( get_option( "turkeysms_user" ), get_option( "turkeysms_pass" ) ) );
$sessionid = get_current_user_id();
$session = new WP_User( $sessionid );

$fps_roles = new WP_Roles();
$role_list = $fps_roles->get_names();

$auth_roles = [];

if ( get_option( 'turkeysms_auth_roles' ) != '' ) {
	$auth_roles = explode( ',', get_option( 'turkeysms_auth_roles' ) );
}

$auth_users = [];

if ( get_option( 'turkeysms_auth_users' ) != '' ) {
	$auth_users = explode( ',', get_option( 'turkeysms_auth_users' ) );
}


$turkeysms_auth_roles_control = get_option( 'turkeysms_auth_roles_control' );
$turkeysms_auth_users_control = get_option( 'turkeysms_auth_users_control' );

$users = get_users();

if ( in_array( $session->roles[ 0 ], [ 'administrator' ] ) || ( in_array( $session->roles[ 0 ], $auth_roles ) && $turkeysms_auth_roles_control == 1 ) ) {

	if ( (

			( in_array( $session->roles[ 0 ], [ 'administrator' ] ) && in_array( $session->user_login, [ 'admin' ] ) ) //admin herzaman yetkilidir.

			||
			( in_array( $session->ID, $auth_users ) && $turkeysms_auth_users_control == 1 )

		)

		||
		$turkeysms_auth_users_control == 0

	) { //$turkeysms_auth_users_control 0 ise bu özellik kapalıdır ve user bazlı yetki kontrolüne gerek yoktur..

		?>
<br>
<div class="container-fluid">
	<div class="panel panel-default">
		<div class="panel-heading">
			<h3 class="panel-title"><i class="fa fa-pencil"></i> <?php echo _e('TurkeySMS Eklenti Ayarları','turkeysmslang'); ?>
				<?php if ($cevap->btnkontrol == "enabled") { ?>
				
				<!-- <form action="options.php" method="get" id="formLogout" name="formLogout">

                                <?php /*settings_fields( ' turkeysmsoptionslogout' ); */ ?>

                                <?php /*do_settings_sections( 'turkeysmsoptionslogout' ); */ ?>

                                <button class="btn btn-danger btn-sm" id="logout" name="logout" type="submit" style="float: right; margin-top: -20px">Çıkış <i class="fa fa-sign-out"></i></button>

                            </form>-->
				
				<button class="btn btn-danger btn-sm" type="text" onclick="logout()" style="float: right; margin-top: -5px"><?php echo _e('Çıkış','turkeysmslang'); ?> <i class="fa fa-sign-out"></i></button>
				<?php } ?>
			</h3>
		</div>
		<div class="panel-body">
			<div class="col-md-6 text-left"> <a href="https://www.turkeysms.com.tr/" alt="TurkeySMS" target="_blank"> <img src="<?= plugins_url('lib/image/logo.png', dirname(__FILE__)) ?>" width="130" height="40"> </a> </div>
			<div class="col-md-6 text-right">
				<div

                            <?php if ($cevap->href != ""){ ?>onclick="window.open('<?= $cevap->href ?>','_blank');" <?php } ?>

                            class="alert alert-<?= $cevap->durum ?>" id="bakiye" style="display:inline-block;"><i

                                    class='fa <?= $cevap->icon ?>'></i><?= $cevap->mesaj ?>
					
				</div>
			</div>
			<form action="options.php" method="post" id="form-module" class="form-horizontal" name="form-module">
				<?php settings_fields('turkeysmsoptions'); ?>
				<?php do_settings_sections('turkeysmsoptions'); ?>
				<input type="hidden" name="sayfayi_yenile" id="sayfayi_yenile" value="0">
				<div class="tab-pane">
					<ul class="nav nav-tabs" id="language">
						<li><a href="#login" data-toggle="tab"><i class="fa fa-sign-in"></i> <?php echo _e('Giriş','turkeysmslang'); ?></a></li>
						<li><a href="#sms" data-toggle="tab"><i class="fa fa-envelope-o"></i> <?php echo _e('WooCommerce SMS','turkeysmslang'); ?></a></li>
						<li><a href="#tf2sms" data-toggle="tab"><i class="fa fa-key"></i> <?php echo _e('Üyelik Doğrulama','turkeysmslang'); ?></a> </li>
						<li><a href="#bulksms" data-toggle="tab"><i class="fa fa-comments-o"></i> <?php echo _e('Toplu SMS','turkeysmslang'); ?></a></li>
						<li><a href="#privatesms" data-toggle="tab"><i class="fa fa-commenting"></i> <?php echo _e('Özel SMS','turkeysmslang'); ?></a></li>
						<li><a href="#cf7sms" data-toggle="tab"><i class="fa fa-envelope-o"></i> <?php echo _e('Contact Form 7 SMS','turkeysmslang'); ?></a></li>
						<li><a href="#log" data-toggle="tab"><i class="fa fa-inbox"></i> <?php echo _e('SMS Kayıtları','turkeysmslang'); ?></a></li>
						<li><a href="#settings" data-toggle="tab"><i class="fa fa-cog"></i> <?php echo _e('Ayarlar','turkeysmslang'); ?></a></li>
					</ul>
					<div class="tab-content">
						<div class="tab-pane" id="login">
							<hr>
							<div class="form-group">
								<label class="col-sm-2 control-label" for="turkeysms_user"><?php echo _e('TurkeySMS Kullanıcı Adı :','turkeysmslang'); ?> </label>
								<div class="col-sm-10">
									<div class="input-group">
										<div class="input-group-addon"> <i class="fa fa-user" style="color: #17A2B8;"></i> </div>
										<input type="text" name="turkeysms_user" id="turkeysms_user" placeholder="<?php echo _e('Kullanıcı Adı','turkeysmslang'); ?>" value="<?= get_option("turkeysms_user") ?>" class="form-control" onkeypress="return RestrictSpace()"/>
									</div>
								</div>
							</div>
							<div class="form-group">
								<label class="col-sm-2 control-label" for="turkeysms_pass"><?php echo _e('TurkeySMS Şifre :','turkeysmslang'); ?> </label>
								<div class="col-sm-10">
									<div class="input-group">
										<div class="input-group-addon"> <i class="fa fa-lock" style="color: #17A2B8;"></i> </div>
										<input type="password" name="turkeysms_pass" placeholder="<?php echo _e('Şifre','turkeysmslang'); ?>" id="turkeysms_pass" value="<?= get_option("turkeysms_pass") ?>" class="form-control"/>
									</div>
								</div>
							</div>
							<div class="form-group">
								<label class="col-sm-2 control-label" for="turkeysms_user"><?php echo _e('TurkeySMS API Key :','turkeysmslang'); ?> </label>
								<div class="col-sm-10">
									<div class="input-group">
										<div class="input-group-addon"> <i class="fa fa-user" style="color: #17A2B8;"></i> </div>
										<input type="text" name="turkeysms_apikey" id="turkeysms_apikey" placeholder="<?php echo _e('API Anahtarı','turkeysmslang'); ?>" value="<?= get_option("turkeysms_apikey") ?>" class="form-control" onkeypress="return RestrictSpace()"/>
									</div>
								</div>
							</div>
							<div class="form-group">
								<div class="col-sm-2"></div>
								<div class="col-sm-8">
									<button class="btn btn-success" id="login_save" name="login_save" onclick="login();"> <?php echo _e('Hesabımı Doğrula','turkeysmslang'); ?> </button>
								</div>
							</div>
							<?php
							$turkeysms_all_smstitle = $turkeysms->getSmsBaslik();

							$turkeysms_input_smstitle = esc_html( get_option( "turkeysms_input_smstitle" ) );
							?>
							<div class="form-group">
								<label for="input-baslik" class="col-sm-2 control-label" style="color: <?php if (isset($turkeysms_input_smstitle) && !empty($turkeysms_input_smstitle) && $turkeysms_input_smstitle || $turkeysms_input_smstitle != 0) { ?>#2ECC71 <?php } else { ?>#E74C3C <?php } ?>;"> <?php echo _e('SMS Başlığı :','turkeysmslang'); ?> </label>
								<div class="col-sm-10">
									<div class="input-group">
										<div class="input-group-addon"> <i class="fa fa-header" style="color: #17A2B8;"></i> </div>
										<select name="turkeysms_input_smstitle" id="turkeysms_input_smstitle" class="form-control" style="height: 35px;">
											<option value="0"><?php echo _e('SMS Başlığı Seçiniz','turkeysmslang'); ?></option>
											<?php

											if ( isset( $turkeysms_input_smstitle ) && $turkeysms_input_smstitle != "" && Count( $turkeysms_all_smstitle ) > 0 ) {

												foreach ( $turkeysms_all_smstitle as $title ) {

													if ( $title != '' ) {

														if ( $title == $turkeysms_input_smstitle ) {

															?>
											<option value="<?= $title ?>" selected>
											<?= $title ?>
											</option>
											<?php

											} else {

												?>
											<option value="<?= $title ?>">
											<?= $title ?>
											</option>
											<?php

											}

											}

											}

											}
											?>
										</select>
									</div>
								</div>
							</div>
							<div class="form-group">
								<?php $turkeysms_charset = esc_html(get_option("turkeysms_charset")); ?>
								<?php/* if ($cevap->btnkontrol != "enabled") {

                                            $turkeysms_charset = 0;

                                        } */?>
								<label data-toggle="tooltip" data-placement="right" class="col-sm-2 control-label" for="input-status" style="color: <?php if (isset($turkeysms_charset) && !empty($turkeysms_charset) && $turkeysms_charset) { ?>#2ECC71<?php } else { ?>#E74C3C<?php } ?>;"><?php echo _e('SMS Karakter Seti:','turkeysmslang'); ?> </label>
								<div class="col-sm-10">
									<div class="input-group">
										<div class="input-group-addon"> <i class="fa fa-language" style="color: <?php if (isset($turkeysms_charset) && !empty($turkeysms_charset) && $turkeysms_charset) { ?>#2ECC71<?php } else { ?>#E74C3C<?php } ?>;"></i> </div>
										<select name="turkeysms_charset" id="input-trChar" class="form-control" style="height: 35px;">
											<option <?php if($turkeysms_charset==0){ echo "selected";}?> value="0"><?php echo _e('İngilizce','turkeysmslang'); ?></option>
											<option <?php if($turkeysms_charset==1){ echo "selected";}?> value="1"><?php echo _e('Türkçe','turkeysmslang'); ?></option>
											<option <?php if($turkeysms_charset==2){ echo "selected";}?> value="2"><?php echo _e('Arapça','turkeysmslang'); ?></option>
										</select>
									</div>
								</div>
							</div>
							<hr>
							<div class="form-group">
								<?php $turkeysms_status = esc_html(get_option("turkeysms_status")); ?>
								<?php
								 if ($cevap->btnkontrol != "enabled") {
									$turkeysms_status = 0;

								 } 
								?>
								<label class="col-sm-2 control-label" for="input-status" style="color: <?php if (isset($turkeysms_status) && !empty($turkeysms_status) && $turkeysms_status) { ?>#2ECC71<?php } else { ?>#E74C3C<?php } ?>;"><?php echo _e('Eklenti Durumu :','turkeysmslang'); ?> </label>
								<div class="col-sm-10">
									<div class="input-group">
										<div class="input-group-addon"> <i class="fa fa-power-off" style="color: <?php if (isset($turkeysms_status) && !empty($turkeysms_status) && $turkeysms_status) { ?>#2ECC71<?php } else { ?>#E74C3C<?php } ?>;"></i> </div>
										<select name="turkeysms_status" id="input-status" class="form-control" style="height: 35px;">
											<?php if ($turkeysms_status) { ?>
											<option value="1" selected><?php echo _e('Açık','turkeysmslang'); ?></option>
											<option value="0"><?php echo _e('Kapalı','turkeysmslang'); ?></option>
											<?php } else { ?>
											<option value="1"><?php echo _e('Açık','turkeysmslang'); ?></option>
											<option value="0" selected><?php echo _e('Kapalı','turkeysmslang'); ?></option>
											<?php } ?>
										</select>
									</div>
									<?php
									if ( $turkeysms_status ) {

									} else {
										?>
									<small>*<i> <?php echo _e('Modül kapalıyken programlanan SMS gönderimleri iptal olur.','turkeysmslang'); ?></i></small>
									<?php } ?>
								</div>
							</div>
							<div class="form-group">
								<div class="col-sm-2"></div>
								<div class="col-sm-10 text-right">
									<button class="btn btn-primary" id="login_save2" name="login_save2" onclick="login();"><i class="fa fa-folder"></i> <?php echo _e('Değişiklikleri Kaydet','turkeysmslang'); ?> </button>
								</div>
							</div>
						</div>
						<div class="tab-pane container-fluid" id="sms">
							<hr>
							<div class="form-group"> 
								
								<!--  Yeni üye olunca, belirlenen numaralara sms göndermek -->
								
								<div class="row">
									<div class="col-sm-3">
										<div class="col-sm-7">
											<label class="control-label" for="turkeysms_newuser_to_admin_no"><i class="fa fa-certificate" style="color: #E74C3C;"></i> <i class="fa fa-certificate" style="color: #BB77AE;"></i> <?php echo _e('Yeni üye olunca, belirlenen numaralara SMS gönderilsin:','turkeysmslang'); ?></label>
										</div>
										<div class="col-sm-5">
											<label class="switch">
												<input name="turkeysms_newuser_to_admin_control" id="turkeysms_switch1" type="checkbox" onchange="turkeysms_field_onoff(1)" value="1"

                                                               <?php if ((get_option('turkeysms_newuser_to_admin_control')) == 1){ ?>checked <?php } ?> >
												<span class="slider round"></span> </label>
										</div>
									</div>
									<div class="col-sm-9" id="turkeysms_field1" style="<?php if ((get_option('turkeysms_newuser_to_admin_control')) == 0) { ?>display:none; <?php } ?>">
										<div class="row">
											<div class="col-sm-12">
												<div class="input-group">
													<div class="input-group-addon"> <i class="fa fa-phone" style="color: #17A2B8;"></i> </div>
													<input name="turkeysms_newuser_to_admin_no"

                                                                   id="turkeysms_newuser_to_admin_no" type="text"

                                                                   class="form-control"

                                                                   placeholder="<?php echo _e('Sms gönderilecek numaraları giriniz. Örn: 05xxXXXxxXX,05xxXXXxxXX','turkeysmslang'); ?>"

                                                                   value="<?= esc_html(get_option("turkeysms_newuser_to_admin_no")) ?>">
												</div>
												<p id="vars_newuser_to_admin_no"></p>
											</div>
										</div>
										<div class="row">
											<div class="col-sm-12">
												<div class="input-group">
													<div class="input-group-addon"> <i class="fa fa-commenting" style="color: #17A2B8;"></i> </div>
													<div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf1')"> <a href="javascript:void(0)"> <i class="fa fa-cogs" id="conf1_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_newuser_to_admin_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i> </a> </div>
													<textarea name="turkeysms_newuser_to_admin_text"

                                                                      id="turkeysms_textarea1" class="form-control"

                                                                      placeholder="<?php echo _e('Örnek : Sayın yetkili, [uye_adi] [uye_soyadi] kullanıcı sisteme kaydoldu. Bilgileri : tel : [uye_telefonu] eposta: [uye_epostasi]','turkeysmslang'); ?>"><?= esc_textarea(get_option("turkeysms_newuser_to_admin_text")) ?>
																</textarea>
													<input type="hidden" id="turkeysms_newuser_to_admin_json"

                                                                   name="turkeysms_newuser_to_admin_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_newuser_to_admin_json")) ?>">
												</div>
												<p id="turkeysms_tags_text1" style="margin-top: 10px"><i class="fa fa-angle-double-right"></i> <?php echo _e('Kullanabileceğiniz Değişkenler :','turkeysmslang'); ?> </i></p>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="form-group"> <!--  Yeni üye olunca,yeni üyeye sms  -->
								
								<div class="row">
									<div class="col-sm-3">
										<div class="col-sm-7">
											<label class="control-label" for="turkeysms_newuser_to_customer_no"><i class="fa fa-certificate" style="color: #E74C3C;"></i> <i class="fa fa-certificate" style="color: #BB77AE;"></i> <?php echo _e('Yeni üye olunca, müşteriye SMS gönderilsin:','turkeysmslang'); ?></label>
										</div>
										<div class="col-sm-5">
											<label class="switch">
												<input name="turkeysms_newuser_to_customer_control" id="turkeysms_switch2" type="checkbox" onchange="turkeysms_field_onoff(2)" value="1"

                                                               <?php if ((get_option('turkeysms_newuser_to_customer_control')) == 1){ ?>checked <?php } ?> >
												<span class="slider round"></span> </label>
										</div>
									</div>
									<div class="col-sm-9" id="turkeysms_field2" style="<?php if ((get_option('turkeysms_newuser_to_customer_control')) == 0) { ?>display:none; <?php } ?>">
										<div class="row">
											<div class="col-sm-12">
												<div class="input-group">
													<div class="input-group-addon"> <i class="fa fa-commenting" style="color: #17A2B8;"></i> </div>
													<div class="input-group-addon hoverlay" onclick="settingOpen('conf2')"> <a href="javascript:void(0)"> <i class="fa fa-cogs" id="conf2_color" style="color: <?php if (esc_textarea(get_option("turkeysms_newuser_to_customer_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i> </a> </div>
													<textarea name="turkeysms_newuser_to_customer_text"

                                                                      id="turkeysms_textarea2" class="form-control"

                                                                      placeholder="<?php echo _e('Örnek :Sayın [uye_adi] [uye_soyadi], sitemize hoşgeldiniz! [uye_telefonu] telefon numarası ve [uye_epostasi] ile kayıt oldunuz. Keyifli Alışverişler !','turkeysmslang'); ?>"><?= esc_textarea(get_option("turkeysms_newuser_to_customer_text")) ?>
</textarea>
													<input type="hidden" id="turkeysms_newuser_to_customer_json"

                                                                   name="turkeysms_newuser_to_customer_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_newuser_to_customer_json")) ?>">
												</div>
												<p id="turkeysms_tags_text2" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i> <?php echo _e('Kullanabileceğiniz Değişkenler :','turkeysmslang'); ?> </i></p>
											</div>
										</div>
									</div>
								</div>
							</div>
							<script>

                                        var settings = {

                                            'conf1': {

                                                'name': 'turkeysms_newuser_to_admin_json',

                                                'settings':

                                                    {

                                                        'source': 'no',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'no'

                                                    }

                                            },

                                            'conf2': {

                                                'name': 'turkeysms_newuser_to_customer_json',

                                                'settings':

                                                    {

                                                        'source': 'no',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'no'

                                                    }

                                            },

                                            'conf3': {

                                                'name': 'turkeysms_neworder_to_admin_json',

                                                'settings':

                                                    {

                                                        'source': 'no',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'yes',

                                                        'addOrderAdminPanel' :'yes'

                                                    }

                                            },

                                            'conf4': {

                                                'name': 'turkeysms_neworder_to_customer_json',

                                                'settings':

                                                    {

                                                        'source': 'yes',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'yes',

                                                        'addOrderAdminPanel' :'yes'

                                                    }

                                            },

                                            'conf5': {

                                                'name': 'turkeysms_order_refund_to_admin_json',

                                                'settings':

                                                    {

                                                        'source': 'no',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'no'

                                                    }

                                            },

                                            'conf6': {

                                                'name': 'turkeysms_product_waitlist1_json',

                                                'settings':

                                                    {

                                                        'source': 'yes',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'no'

                                                    }

                                            },

                                            'conf11': {

                                                'name': 'turkeysms_newnote1_to_customer_json',

                                                'settings':

                                                    {

                                                        'source': 'yes',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'no'

                                                    }

                                            },

                                            'conf12': {

                                                'name': 'turkeysms_newnote2_to_customer_json',

                                                'settings':

                                                    {

                                                        'source': 'yes',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'no'

                                                    }

                                            },

                                            <?php  if(function_exists('wc_get_order_statuses')) {

                                            $order_statuses = wc_get_order_statuses();

                                            $arraykeys = array_keys($order_statuses);

                                            foreach ($arraykeys as $item) { ?>

                                            '<?=$item?>': {

                                                'name': 'turkeysms_order_status_text_<?=$item?>_json',

                                                'settings':

                                                    {

                                                        'source': 'yes',

                                                        'timecondition': 'yes',

                                                        'otherAction': 'no'

                                                    }

                                            },

                                            <?php } }?>

                                        };



                                        var settings2 = {

                                            'source2': {

                                                'type': 'checkbox',

                                                'ids': [

                                                    '_source_billing_phone',

                                                    '_source_address_phone'

                                                ]

                                            },

                                            'source': {

                                                'type': 'text',

                                                'ids': [

                                                    '_custom_phone_key'

                                                ]

                                            },

                                            'timecondition': {

                                                'type': 'text',

                                                'ids': [

                                                    '_timecondition'

                                                ]

                                            },

                                            'otherAction': {

                                                'type': 'text',

                                                'ids': [

                                                    '_otherAction'

                                                ]

                                            },

                                            'addOrderAdminPanel' : {

                                                'type': 'checkbox',

                                                'ids': [

                                                    '_addOrderAdminPanel'

                                                ]

                                            }

                                        };



                                        function settingOpen(conf) {

                                            var settingHtml = {

                                                'source2': '<hr><div class="col-md-12"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="<?php echo _e('SMSin hangi telefon numarası kaynaklarına gönderileceğini belirleyebilirsiniz.','turkeysmslang'); ?>"></i> <?php echo _e('Gönderilecek Kaynak:','turkeysmslang'); ?> </label></div><div class="col-md-7"><input type="checkbox" name="" id="' + conf + settings2["source"].ids[0] + '" class="checkbox-fix" value="off"> <?php echo _e('Fatura telefon numarasına gönder','turkeysmslang'); ?><br><input type="checkbox" name="" id="' + conf + settings2["source"].ids[1] + '" class="checkbox-fix" value="off"> <?php echo _e('Adres telefon numarasına gönder','turkeysmslang'); ?></div></div>',

                                                'source': '<div class="col-md-12"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="<?php echo _e('Gönderilmesini istediğiniz özel bir telefon anahtarı varsa bu anahtardaki telefon numarasına SMS gönderebilirsiniz. Örn: billing_phone, shipping_phone, musteri_tel vs. ','turkeysmslang'); ?>"></i> <?php echo _e('SMS gönderilecek telefon numarası anahtarı:','turkeysmslang'); ?> </label></div><div class="col-md-8"><input type="text" name="" id="' + conf + settings2["source"].ids[0] + '"  class="form-control" placeholder="<?php echo _e('Gönderilmesini istediğiniz özel bir telefon anahtarı varsa bu anahtardaki telefon numarasına SMS gönderebilirsiniz. Örn: billing_phone, shipping_phone, musteri_tel vs. ','turkeysmslang'); ?>" value="billing_phone"></div></div>',

                                                'timecondition': '<hr><div class="col-md-12"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="<?php echo _e('SMSin ne kadar zaman sonra gönderileceğini dakika cinsinden belirleyebilirsiniz. Zaman ayarlarınızı kontrol edin. Bu sayfa yüklendiğinde saat :','turkeysmslang'); ?> <?=date('H:i:s', current_time('timestamp'))?>"></i> <?php echo _e('Zamanla:','turkeysmslang'); ?> </label></div><div class="col-md-8"><input type="number" name="" id="' + conf + settings2["timecondition"].ids[0] + '"  class="form-control" placeholder="<?php echo _e('Kaç dakika sonra gönderilsin istiyorsunuz?','turkeysmslang'); ?> "></div></div>',

                                                'otherAction': '<hr><div class="col-md-12" style="display: none;"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="<?php echo _e('Farklı bir actionda çalıştırmak için kanca ismi girin. Gizli özelliktir.','turkeysmslang'); ?>"></i><?php echo _e('Ek kanca girişi:','turkeysmslang'); ?>  </label></div><div class="col-md-8"><input type="text" name="" id="' + conf + settings2["otherAction"].ids[0] + '"  class="form-control" placeholder="<?php echo _e('Farklı kancada çalıştırmak için kanca ismi girin','turkeysmslang'); ?>"></div></div>',

                                                'addOrderAdminPanel': '<hr><div class="col-md-12"><div class="col-md-3"><label for=""><i class="fa fa-info-circle" data-toggle="tooltip" data-placement="top" title="<?php echo _e('Admin panelden eklenen siparişlerdede SMS gönderilmesini seçebilirsiniz.','turkeysmslang'); ?>"></i> <?php echo _e('Admin panelden eklenen siparişte de gönder:','turkeysmslang'); ?> </label></div><div class="col-md-7"><input type="checkbox" name="" id="' + conf + settings2["addOrderAdminPanel"].ids[0] + '" class="checkbox-fix" value="off"> <?php echo _e('SMS Gönder','turkeysmslang'); ?></div></div>',

                                            };



                                            if (settings[conf]) {

                                                var setting = settings[conf];

                                                // var data = JSON.parse(jQuery('#'+setting.name).val());

                                                modalCleaner();

                                                jQuery('#modal-save').attr('conf', conf);



                                                Object.keys(settings2).forEach(function (item) {

                                                    if (setting.settings[item] == 'yes') {  //Gönderilecek kaynak ayarı

                                                        jQuery('#row_' + item).html(settingHtml[item]);

                                                    }

                                                });



                                                try {

                                                    var data = JSON.parse(jQuery('#' + settings[conf].name).val());

                                                } catch (e) {

                                                    var data = [];

                                                }



                                                Object.keys(settings2).forEach(function (item) {

                                                    var types = settings2[item];

                                                    Object.keys(types.ids).forEach(function (ids) {

                                                        var id = types.ids[ids];

                                                        if (types.type == 'checkbox') {

                                                            if (data[id] == true) {

                                                                jQuery('#' + conf + id).prop("checked", true);

                                                            } else {

                                                                jQuery('#' + conf + id).prop("checked", false);

                                                            }

                                                        } else {

                                                            if (data[id] != undefined && data[id] != '') {

                                                                jQuery('#' + conf + id).val(data[id]);

                                                            }

                                                        }

                                                    });

                                                });

                                            }

                                            jQuery('#settingModal').modal('show');

                                            jQuery('[data-toggle="tooltip"]').tooltip();

                                        }



                                        function modalCleaner() {

                                            Object.keys(settings2).forEach(function (item) {

                                                jQuery('#row_' + item).html('');

                                            });

                                        }





                                    </script>
							<div class="modal inmodal fade" id="settingModal" tabindex="-1" role="dialog"

                                         aria-hidden="true" style="padding-top: 20px">
								<div class="modal-dialog modal-md">
									<div class="modal-content">
										<div class="modal-header">
											<button type="button" class="close" data-dismiss="modal"><span

                                                                aria-hidden="true">&times;</span><span class="sr-only"><?php echo _e('Kapat','turkeysmslang'); ?></span> </button>
											<h4 class="modal-title"> <span id="modalTitle"><i class="fa fa-cogs"></i> <?php echo _e('Ek Ayarlar','turkeysmslang'); ?></span> </h4>
										</div>
										<div class="modal-body">
											<div class="row" id="row_source"> </div>
											<div class="row" id="row_custom_phone_key"> </div>
											<div class="row" id="row_timecondition"> </div>
											<div class="row" id="row_addOrderAdminPanel"> </div>
											<div class="row" id="row_otherAction"> </div>
										</div>
										<div class="modal-footer">
											<button type="button" class="btn btn-white" data-dismiss="modal"

                                                            id="modal-close"><?php echo _e('Kapat','turkeysmslang'); ?> </button>
											<button type="button" class="btn btn-primary" id="modal-save"

                                                            conf=""><?php echo _e('Kaydet','turkeysmslang'); ?> </button>
										</div>
									</div>
								</div>
							</div>
							<script>

                                        jQuery('#modal-save').click(function () {

                                            var conf = jQuery(this).attr('conf');

                                            var data = {};

                                            Object.keys(settings2).forEach(function (item) {

                                                var types = settings2[item];

                                                if (settings[conf].settings[item] == 'yes') {

                                                    Object.keys(types.ids).forEach(function (ids) {

                                                        var id = types.ids[ids];

                                                        if (types.type == 'checkbox') {

                                                            data[id] = jQuery('#' + conf + id).is(':checked');

                                                        } else {

                                                            data[id] = jQuery('#' + conf + id).val();

                                                        }

                                                    });

                                                }

                                            });



                                            if (JSON.stringify(data) != '') {

                                                jQuery('#' + conf + '_color').css('color', '#17A2B8')

                                            }



                                            jQuery('#' + settings[conf].name).val(JSON.stringify(data));

                                            jQuery('#settingModal').modal('hide');

                                        })



                                    </script>
							<div class="form-group"> <!--  yeni sipariş geldiğinde belirlenen numaralara sms -->
								
								<div class="row">
									<div class="col-sm-3">
										<div class="col-sm-7">
											<label class="control-label" for="turkeysms_neworder_to_admin_no"><i class="fa fa-certificate" style="color: #BB77AE;"></i> <?php echo _e('Yeni sipariş geldiğinde, belirlenen numaralara sms gönderilsin:','turkeysmslang'); ?></label>
										</div>
										<div class="col-sm-5">
											<label class="switch">
												<input name="turkeysms_neworder_to_admin_control"

                                                               id="turkeysms_switch3" type="checkbox"

                                                               onchange="turkeysms_field_onoff(3)" value="1"

                                                               <?php if ((get_option('turkeysms_neworder_to_admin_control')) == 1){ ?>checked <?php } ?> >
												<span class="slider round"></span> </label>
										</div>
									</div>
									<div class="col-sm-9" id="turkeysms_field3"

                                                 style="<?php if ((get_option('turkeysms_neworder_to_admin_control')) == 0) { ?>display:none; <?php } ?>">
										<div class="row">
											<div class="col-sm-12">
												<div class="input-group">
													<div class="input-group-addon"> <i class="fa fa-phone" style="color: #17A2B8;"></i> </div>
													<input name="turkeysms_neworder_to_admin_no"

                                                                   id="turkeysms_neworder_to_admin_no" type="text"

                                                                   class="form-control"

                                                                   placeholder="<?php echo _e('Sms gönderilecek numaraları giriniz. Örn: 05xxXXXxxXX,05xxXXXxxXX','turkeysmslang'); ?>"

                                                                   value="<?= esc_html(get_option("turkeysms_neworder_to_admin_no")) ?>">
												</div>
												<p id="vars_neworder_to_admin_no"></p>
											</div>
										</div>
										<div class="row">
											<div class="col-sm-12">
												<div class="input-group">
													<div class="input-group-addon"> <i class="fa fa-commenting" style="color: #17A2B8;"></i> </div>
													<div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf3')"> <a href="javascript:void(0)"> <i class="fa fa-cogs" id="conf3_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_neworder_to_admin_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i> </a> </div>
													<textarea name="turkeysms_neworder_to_admin_text"

                                                                      id="turkeysms_textarea3" class="form-control"

                                                                      placeholder="<?php echo _e('Örnek : Sayın Yönetici, [siparis_no] nolu bir sipariş aldınız. Ürün bilgileri : [urun_adlari]-[urun_kodlari]-[urun_adetleri]','turkeysmslang'); ?>"><?= esc_textarea(get_option("turkeysms_neworder_to_admin_text")) ?>
</textarea>
													<input type="hidden" id="turkeysms_neworder_to_admin_json"

                                                                   name="turkeysms_neworder_to_admin_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_neworder_to_admin_json")) ?>">
												</div>
												<p id="turkeysms_tags_text3" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i> <?php echo _e('Kullanabileceğiniz Değişkenler','turkeysmslang'); ?> : </i></p>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="form-group"> <!--  Yeni sipariş olunca müşteriye sms -->
								
								<div class="row">
									<div class="col-sm-3">
										<div class="col-sm-7">
											<label class="control-label" for="turkeysms_neworder_to_customer_no"><i

                                                                class="fa fa-certificate" style="color: #BB77AE;"></i> <?php echo _e('Yeni sipariş geldiğinde, Müşteriye bilgilendirme SMS gönderilsin:','turkeysmslang'); ?></label>
										</div>
										<div class="col-sm-5">
											<label class="switch">
												<input name="turkeysms_neworder_to_customer_control"

                                                               id="turkeysms_switch4" type="checkbox"

                                                               onchange="turkeysms_field_onoff(4)" value="1"

                                                               <?php if ((get_option('turkeysms_neworder_to_customer_control')) == 1){ ?>checked <?php } ?> >
												<span class="slider round"></span> </label>
										</div>
									</div>
									<div class="col-sm-9" id="turkeysms_field4"

                                                 style="<?php if ((get_option('turkeysms_neworder_to_customer_control')) == 0) { ?>display:none; <?php } ?>">
										<div class="row">
											<div class="col-sm-12">
												<div class="input-group">
													<div class="input-group-addon"> <i class="fa fa-commenting" style="color: #17A2B8;"></i> </div>
													<div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf4')"> <a href="javascript:void(0)"> <i class="fa fa-cogs" id="conf4_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_neworder_to_customer_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i> </a> </div>
													<textarea name="turkeysms_neworder_to_customer_text"

                                                                      id="turkeysms_textarea4" class="form-control"

                                                                      placeholder="<?php echo _e('Örnek : [siparis_no] nolu siparişiniz başarıyla oluşturulmuştur.','turkeysmslang'); ?>"><?= esc_textarea(get_option("turkeysms_neworder_to_customer_text")) ?>
</textarea>
													<input type="hidden" id="turkeysms_neworder_to_customer_json"

                                                                   name="turkeysms_neworder_to_customer_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_neworder_to_customer_json")) ?>">
												</div>
												<p id="turkeysms_tags_text4" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i> <?php echo _e('Kullanabileceğiniz Değişkenler :','turkeysmslang'); ?> </i></p>
											</div>
										</div>
									</div>
								</div>
							</div>
							<?php

							if ( function_exists( 'wc_get_order_statuses' ) ) {

								$order_statuses = wc_get_order_statuses();


								$actives = [];

								foreach ( $order_statuses as $key => $order_status ) {

									if ( esc_textarea( get_option( 'turkeysms_order_status_text_' . $key ) ) != '' ) {

										array_push( $actives, $order_status );

									}

								}

							}

							?>
							<div class="form-group"> 
								
								<!--  Sİpariş durumları değiştiğinde müşteriye sms gönderilsin. -->
								
								<div class="row">
									<div class="col-sm-3">
										<div class="col-sm-7">
											<label class="control-label" for="turkeysms_neworder_to_admin_no"><i

                                                                class="fa fa-certificate" style="color: #BB77AE;"></i> <i class="fa fa-certificate" style="color: #34495E;"></i> <?php echo _e('Ürünün sipariş durumu değiştiğinde müşteriye sms gönderilsin:','turkeysmslang'); ?></label>
										</div>
										<div class="col-sm-5">
											<label class="switch">
												<input name="turkeysms_orderstatus_change_customer_control"

                                                               id="turkeysms_switch5" type="checkbox"

                                                               onchange="turkeysms_field_onoff(5)" value="1"

                                                               <?php if ((get_option('turkeysms_orderstatus_change_customer_control')) == 1){ ?>checked <?php } ?>>
												<span class="slider round"></span> </label>
										</div>
									</div>
									<div class="col-sm-9" id="turkeysms_field5"

                                                 style="<?php if ((get_option('turkeysms_orderstatus_change_customer_control')) == 0) { ?>display:none; <?php } ?>">
										<div class="row">
											<div class="col-sm-12">
												<div class="input-group">
													<?php
													if ( isset( $actives[ 0 ] ) ) {

														?>
													<div class="input-group-addon" data-toggle="tooltip"

                                                                     data-placement="right" data-html="true"

                                                                     title="<b style='color: #2ECC71'><?php echo _e('Aktif durumlar :','turkeysmslang'); ?> </b><hr> <?= implode('<br>', $actives) ?>"> <i class="fa fa-check-square"

                                                                       style="color: #2ECC71;"></i> </div>
													<?php

													} else {

														?>
													<div class="input-group-addon" data-toggle="tooltip"

                                                                     data-placement="right" data-html="true"

                                                                     title="<?php echo _e('Hiçbir durum aktifleştirilmemiş.','turkeysmslang'); ?>"> <i class="fa fa-times-circle"

                                                                       style="color: #E74C3C;"></i> </div>
													<?php

													}
													?>
													<div class="input-group-addon"> <i class="fa fa-truck" style="color: #17A2B8;"></i> </div>
													<div class="input-group-addon hoverlay"

                                                                 id="settings-btn-changed" onclick=""> <a href="javascript:void(0)"> <i class="fa fa-cogs" id="setting-btn_color"

                                                                       style="color:#2B2B2B;"></i> </a> </div>
													<select id="order_status"

                                                                    onchange="order_status_change(this.value)"

                                                                    class="form-control" style="height: 35px">
														<option value="" selected><?php echo _e('Sipariş Durumu Seçiniz','turkeysmslang'); ?> </option>
														<?php
														if ( function_exists( 'wc_get_order_statuses' ) ) {

															$order_statuses = wc_get_order_statuses();

															$arraykeys = array_keys( $order_statuses );

															foreach ( $arraykeys as $item ) {
																?>
														<option value="<?= $item ?>">
														<?= $order_statuses[$item] ?>
														</option>
														<?php
														}

														}
														?>
													</select>
												</div>
											</div>
										</div>
										<span id="activeStatus" data=""></span>
										<div class="row">
											<div class="col-sm-12">
												<?php
												if ( isset( $arraykeys ) ) {

													foreach ( $arraykeys as $item ) {

														$order_status_text = array( $item => 'turkeysms_order_status_text_' . $item );

														?>
												<textarea style="display: none;"

                                                                          name="turkeysms_order_status_text_<?= $item ?>"

                                                                          id="turkeysms_order_status_text_<?= $item ?>"

                                                                          class="form-control order_status_text"

                                                                          placeholder="<?php echo _e('Örnek : Sayın [uye_adi] [uye_soyadi], [siparis_no] numaralı siparişinizin kargo durumu ... olarak değiştirilmiştir.','turkeysmslang'); ?> "><?= esc_textarea(get_option($order_status_text[$item])); ?>
</textarea>
												<input type="hidden"

                                                                       id="turkeysms_order_status_text_<?= $item ?>_json"

                                                                       name="turkeysms_order_status_text_<?= $item ?>_json"

                                                                       class="form-control"

                                                                       value="<?= esc_html(get_option("turkeysms_order_status_text_" . $item . "_json")) ?>">
												<?php
												}

												}
												?>
												<p id="turkeysms_tags_text5" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i> <?php echo _e('Kullanabileceğiniz Değişkenler :','turkeysmslang'); ?> </i>
													<mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'siparis_no')"> [siparis_no] </mark>
													&nbsp;
													<mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'uye_adi')"> [uye_adi] </mark>
													&nbsp;
													<mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'uye_soyadi')"> [uye_soyadi] </mark>
													&nbsp;
													<mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'uye_telefonu')"> [uye_telefonu] </mark>
													&nbsp;
													<mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'uye_epostasi')"> [uye_epostasi] </mark>
													&nbsp;
													<mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'kullanici_adi')"> [kullanici_adi] </mark>
													&nbsp;
													<mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'tarih')"> [tarih] </mark>
													&nbsp;
													<mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'saat')"> [saat] </mark>
													&nbsp;
													<mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'kargo_firmasi')"> [kargo_firmasi] </mark>
													&nbsp;
													<mark onclick="varfill('turkeysms_order_status_text_'+jQuery('#activeStatus').attr('data'), 'takip_kodu')"> [takip_kodu] </mark>
													&nbsp; <i class="fa fa-certificate" style="color: #681947;"></i> </p>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="form-group"> <!--  Yeni özel not eklenince müşteriye sms -->
								
								<div class="row">
									<div class="col-sm-3">
										<div class="col-sm-7">
											<label class="control-label" for=""><i class="fa fa-certificate" style="color: #BB77AE;"></i> <?php echo _e('Siparişe yeni Özel not eklendiğinde müşteriye sms gönderilsin:','turkeysmslang'); ?> </label>
										</div>
										<div class="col-sm-5">
											<label class="switch">
												<input name="turkeysms_newnote1_to_customer_control"

                                                               id="turkeysms_switch11" type="checkbox"

                                                               onchange="turkeysms_field_onoff(11)" value="1"

                                                               <?php if ((get_option('turkeysms_newnote1_to_customer_control')) == 1){ ?>checked <?php } ?> >
												<span class="slider round"></span> </label>
										</div>
									</div>
									<div class="col-sm-9" id="turkeysms_field11"

                                                 style="<?php if ((get_option('turkeysms_newnote1_to_customer_control')) == 0) { ?>display:none; <?php } ?>">
										<div class="row">
											<div class="col-sm-12">
												<div class="input-group">
													<div class="input-group-addon"> <i class="fa fa-commenting" style="color: #17A2B8;"></i> </div>
													<div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf11')"> <a href="javascript:void(0)"> <i class="fa fa-cogs" id="conf11_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_newnote1_to_customer_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i> </a> </div>
													<textarea name="turkeysms_newnote1_to_customer_text"

                                                                      id="turkeysms_textarea11" class="form-control"

                                                                      placeholder="<?php echo _e('Örnek : [siparis_no] nolu siparişinize yeni not eklendi : [not]','turkeysmslang'); ?>"><?= esc_textarea(get_option("turkeysms_newnote1_to_customer_text")) ?>
</textarea>
													<input type="hidden" id="turkeysms_newnote1_to_customer_json"

                                                                   name="turkeysms_newnote1_to_customer_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_newnote1_to_customer_json")) ?>">
												</div>
												<p id="turkeysms_tags_text11" style="margin-top: 10px"><i class="fa fa-angle-double-right"></i> <?php echo _e('Kullanabileceğiniz Değişkenler :','turkeysmslang'); ?> </i></p>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="form-group"> <!--  Yeni özel not eklenince müşteriye sms -->
								
								<div class="row">
									<div class="col-sm-3">
										<div class="col-sm-7">
											<label class="control-label" for=""><i class="fa fa-certificate" style="color: #BB77AE;"></i> <?php echo _e('Siparişe yeni Müşteriye not eklendiğinde müşteriye SMS gönderilsin.','turkeysmslang'); ?> </label>
										</div>
										<div class="col-sm-5">
											<label class="switch">
												<input name="turkeysms_newnote2_to_customer_control"

                                                               id="turkeysms_switch12" type="checkbox"

                                                               onchange="turkeysms_field_onoff(12)" value="1"

                                                               <?php if ((get_option('turkeysms_newnote2_to_customer_control')) == 1){ ?>checked <?php } ?> >
												<span class="slider round"></span> </label>
										</div>
									</div>
									<div class="col-sm-9" id="turkeysms_field12"

                                                 style="<?php if ((get_option('turkeysms_newnote2_to_customer_control')) == 0) { ?>display:none; <?php } ?>">
										<div class="row">
											<div class="col-sm-12">
												<div class="input-group">
													<div class="input-group-addon"> <i class="fa fa-commenting" style="color: #17A2B8;"></i> </div>
													<div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf12')"> <a href="javascript:void(0)"> <i class="fa fa-cogs" id="conf12_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_newnote2_to_customer_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i> </a> </div>
													<textarea name="turkeysms_newnote2_to_customer_text"

                                                                      id="turkeysms_textarea12" class="form-control"

                                                                      placeholder="<?php echo _e('Örnek : [siparis_no] nolu siparişinize yeni not eklendi : [not]','turkeysmslang'); ?>"><?= esc_textarea(get_option("turkeysms_newnote2_to_customer_text")) ?>
</textarea>
													<input type="hidden" id="turkeysms_newnote2_to_customer_json"

                                                                   name="turkeysms_newnote2_to_customer_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_newnote2_to_customer_json")) ?>">
												</div>
												<p id="turkeysms_tags_text12" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i> <?php echo _e('Kullanabileceğiniz Değişkenler :','turkeysmslang'); ?> </i></p>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="form-group"> 
								
								<!--  Sipariş iptal edildiğinde belirlediğim numaralı sms ile bilgilendir -->
								
								<div class="row">
									<div class="col-sm-3">
										<div class="col-sm-7">
											<label class="control-label" for="turkeysms_neworder_to_admin_no"><i class="fa fa-certificate" style="color: #BB77AE;"></i> <?php echo _e('Sipariş iptal edildiğinde belirlediğim numaralı sms ile bilgilendir:','turkeysmslang'); ?></label>
										</div>
										<div class="col-sm-5">
											<label class="switch">
												<input name="turkeysms_order_refund_to_admin_control"

                                                               id="turkeysms_switch6" type="checkbox"

                                                               onchange="turkeysms_field_onoff(6)" value="1"

                                                               <?php if ((get_option('turkeysms_order_refund_to_admin_control')) == 1){ ?>checked <?php } ?> >
												<span class="slider round"></span> </label>
										</div>
									</div>
									<div class="col-sm-9" id="turkeysms_field6" style="<?php if ((get_option('turkeysms_order_refund_to_admin_control')) == 0) { ?>display:none; <?php } ?>">
										<div class="row">
											<div class="col-sm-12">
												<div class="input-group">
													<div class="input-group-addon"> <i class="fa fa-phone" style="color: #17A2B8;"></i> </div>
													<input name="turkeysms_order_refund_to_admin_no"

                                                                   id="turkeysms_order_refund_to_admin_no" type="text"

                                                                   class="form-control"

                                                                   placeholder="<?php echo _e('Sms gönderilecek numaraları giriniz. Örn: 05xxXXXxxXX,05xxXXXxxXX','turkeysmslang'); ?>"

                                                                   value="<?= esc_html(get_option("turkeysms_order_refund_to_admin_no")) ?>">
												</div>
												<p id="turkeysms_order_refund_to_admin_no"></p>
											</div>
										</div>
										<div class="row">
											<div class="col-sm-12">
												<div class="input-group">
													<div class="input-group-addon"> <i class="fa fa-commenting" style="color: #17A2B8;"></i> </div>
													<div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf5')"> <a href="javascript:void(0)"> <i class="fa fa-cogs" id="conf5_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_order_refund_to_admin_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i> </a> </div>
													<textarea name="turkeysms_order_refund_to_admin_text"

                                                                      id="turkeysms_textarea6" class="form-control"

                                                                      placeholder="<?php echo _e('Sayın yönetici, [uye_adi][uye_soyadi] kullanıcısı, [urun] ürününü [iade_nedeni] nedeninden dolayı iptal etmiştir.','turkeysmslang'); ?>"><?= esc_html(get_option("turkeysms_order_refund_to_admin_text")) ?>
</textarea>
													<input type="hidden" id="turkeysms_order_refund_to_admin_json"

                                                                   name="turkeysms_order_refund_to_admin_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_order_refund_to_admin_json")) ?>">
												</div>
												<p id="turkeysms_tags_text6" style="margin-top: 10px"><i class="fa fa-angle-double-right"></i> <?php echo _e('Kullanabileceğiniz Değişkenler :','turkeysmslang'); ?> </i></p>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="form-group"> 
								
								<!--  ürün stoğa girdiğinde bekleme listesindekilere sms gönder-->
								
								<div class="row">
									<div class="col-sm-3">
										<div class="col-sm-7">
											<label class="control-label" for="turkeysms_neworder_to_admin_no"> <i class="fa fa-certificate" style="color: #BB77AE;"></i> <i class="fa fa-certificate" style="color: #F79500;"></i> <?php echo _e('Ürün stoğa girdiğinde bekleme listesindekilere SMS gönder (Wc Waitlist):','turkeysmslang'); ?> </label>
										</div>
										<div class="col-sm-5">
											<label class="switch">
												<input name="turkeysms_product_waitlist1_control"

                                                               id="turkeysms_switch8" type="checkbox"

                                                               onchange="turkeysms_field_onoff(8)" value="1"

                                                               <?php if ((get_option('turkeysms_product_waitlist1_control')) == 1){ ?>checked <?php } ?> >
												<span class="slider round"></span> </label>
										</div>
									</div>
									<div class="col-sm-9" id="turkeysms_field8"

                                                 style="<?php if ((get_option('turkeysms_product_waitlist1_control')) == 0) { ?>display:none; <?php } ?>">
										<div class="row">
											<div class="col-sm-12">
												<div class="input-group">
													<div class="input-group-addon"> <i class="fa fa-commenting" style="color: #17A2B8;"></i> </div>
													<div class="input-group-addon hoverlay"

                                                                 onclick="settingOpen('conf6')"> <a href="javascript:void(0)"> <i class="fa fa-cogs" id="conf6_color"

                                                                       style="color: <?php if (esc_textarea(get_option("turkeysms_product_waitlist1_json")) != '') {

                                                                           echo '#17A2B8';

                                                                       } else {

                                                                           echo '#2B2B2B';

                                                                       } ?>;"></i> </a> </div>
													<textarea name="turkeysms_product_waitlist1_text"

                                                                      id="turkeysms_textarea8" class="form-control"

                                                                      placeholder="<?php echo _e('Sayın [uye_adi][uye_soyadi], [urun_adi] ürünü tekrar stoğa girmiştir. Bilginize.','turkeysmslang'); ?>"><?= esc_html(get_option("turkeysms_product_waitlist1_text")) ?>
</textarea>
													<input type="hidden" id="turkeysms_product_waitlist1_json"

                                                                   name="turkeysms_product_waitlist1_json"

                                                                   class="form-control"

                                                                   value="<?= esc_html(get_option("turkeysms_product_waitlist1_json")) ?>">
												</div>
												<p id="turkeysms_tags_text8" style="margin-top: 10px"><i class="fa fa-angle-double-right"></i> <?php echo _e('Kullanabileceğiniz Değişkenler :','turkeysmslang'); ?> </i></p>
											</div>
										</div>
									</div>
								</div>
							</div>
							
							<div class="form-group">
								<div class="col-sm-2"></div>
								<div class="col-sm-10 text-right">
									<button class="btn btn-primary" id="login_save3" name="login_save3"

                                                    onclick="login();"><i class="fa fa-folder"></i> <?php echo _e('Değişiklikleri Kaydet','turkeysmslang'); ?> </button>
								</div>
							</div>
							<div class="form-group">
								<p> <i class="fa fa-bolt" style="color: #00B49C;"></i> <?php echo _e('Yeni Özellik : SMSlere otomatik geçmiş,güncel veya gelecek tarih ve saat ekleyebilirsiniz. :','turkeysmslang'); ?>
									
									<?php echo _e('Güncel tarih <b>[tarih]</b> formatındadır. <b>[tarih+5]</b> 5 gün sonranın tarihini verir .<b>[tarih-5]</b> 5 gün öncenin tarihini verir. Gün cinsinden ekleme/çıkarma yapılmalıdır. Format g.a.Y şeklindedir.','turkeysmslang'); ?><br>
									<?php echo _e('Güncel saat <b>[saat]</b> formatındadır. <b>[saat+60]</b> 1 saat sonrasının saatini verir. <b>[saat-60]</b> 1 saat öncesinin saatini verir. Dakika cinsinden ekleme/çıkarma yapılmalıdır. Format : S:d:sn şeklindedir.','turkeysmslang'); ?> <br>
									<i class="fa fa-bolt" style="color: #00B49C;"></i> <?php echo _e('Yeni Özellik : Sipariş SMSlerinde, sipariş meta anahtarlarını kullanabilirsiniz. Kullanım şekli : <b>[meta:metakeyiniz]</b> formatındadır. metakeyiniz yazan yere sipariş meta anahtarını girebilirsiniz.','turkeysmslang'); ?>
									
									 <br>
									<i class="fa fa-bolt" style="color: #00B49C;"></i> <?php echo _e('Yeni Özellik :','turkeysmslang'); ?> <i class="fa fa-cogs"></i> <?php echo _e('simgesi bulunan ayarlarda sunulan ek konfigürasyonları yapabilirsiniz.','turkeysmslang'); ?><br>
								<hr>
								<i class="fa fa-certificate" style="color: #E74C3C;"></i> <?php echo _e('Aktif olduğunda, hesap oluşturma sayfasına Ad,Soyad ve Telefon numarası kısmını ekler. Kayıt için zorunlu olur.','turkeysmslang'); ?> <br>
								<i class="fa fa-certificate" style="color: #BB77AE;"></i> <?php echo _e('Bu özellikler woocommerce e-ticaret eklentisi yüklü ve etkin olduğunda çalışır.','turkeysmslang'); ?> <br>
								<i class="fa fa-certificate" style="color: #34495E;"></i> <?php echo _e('Beklemede özelliğinde yeni sipariş verildiğinde de SMS gönderilir.','turkeysmslang'); ?> <br>
								<i class="fa fa-certificate" style="color: #F79500;"></i> <a href="https://docs.woocommerce.com/document/woocommerce-waitlist/" target="_blank"><?php echo _e('WooCommerce Bekleme Listesi (WooCommerce Waitlist)</a> eklentisi yüklü olduğunda ve ürün düzenleme sayfasında <b>"send instock email"</b> özelliği çalıştırıldığında, bekleme listesindeki kullanıcıların numaralarına gönderilir.','turkeysmslang'); ?> <br>
								<i class="fa fa-certificate" style="color: #681947;"></i> <?php echo _e('Kargo firması ve takip kodu sadece Kargo Takip eklentisinden aldığı değerler ile çalışır. NOT: eklentiyi kullanırken bilgisini kaydettikten sonra sipariş durumunu değiştirin. (1.2 versiyonu ile test edildi.)','turkeysmslang'); ?> <a href="https://wordpress.org/plugins/kargo-takip/" target="_blank">https://wordpress.org/plugins/kargo-takip/</a>
								 <br>
								<i class="fa fa-lightbulb-o" style="color: #D35400;"></i> <?php echo _e('Satır atlamak için <strong>\n</strong> kullanabilirsiniz.','turkeysmslang'); ?><br>
								</p>
							</div>
						</div>
						<div class="tab-pane container-fluid" id="tf2sms">
							<hr>
							<div class="form-group"> 
								
								<!--  Sipariş iptal edildiğinde belirlediğim numaralı sms ile bilgilendir -->
								
								<div class="row">
									<div class="col-sm-3">
										<div class="col-sm-7">
											<label class="control-label" for="turkeysms_neworder_to_admin_no"> <i class="fa fa-certificate" style="color: #3498DB;"></i> <i class="fa fa-certificate" style="color: #BB77AE;"></i> <i class="fa fa-certificate" style="color: #E74C3C;"></i> <?php echo _e('Yeni üye olurken <b style="color: #E74C3C;" data-toggle="tooltip" data-placement="top" title="OTP SMS paketinden ücretlendirilir. OTP SMS paketizin olduğuna emin olun.">OTP SMS</b> ile doğrulama yap :','turkeysmslang'); ?>
												
												</label>
										</div>
										<div class="col-sm-5">
											<label class="switch">
												<input name="turkeysms_tf2_auth_register_control"

                                                               id="turkeysms_switch9" type="checkbox"

                                                               onchange="turkeysms_field_onoff(9)" value="1"

                                                               <?php if ((get_option('turkeysms_tf2_auth_register_control')) == 1){ ?>checked <?php } ?> >
												<span class="slider round"></span> </label>
										</div>
									</div>
									<div class="col-sm-9" id="turkeysms_field9"

                                                 style="<?php if ((get_option('turkeysms_tf2_auth_register_control')) == 0) { ?>display:none; <?php } ?>">
										<div class="row">
											<div class="col-sm-12">
												<div class="input-group">
													<div class="input-group-addon"> <i class="fa fa-commenting" style="color: #17A2B8;"></i> </div>
													<textarea name="turkeysms_tf2_auth_register_text"

                                                                      id="turkeysms_textarea9" class="form-control"

                                                                      placeholder="<?php echo _e('Tek seferlik doğrulama kodunuz : [kod]

*OTP SMS tek boy gönderilebilir.

*Metin taslağı 140 karakter ile sınırlandırılmıştır.','turkeysmslang'); ?>"

                                                                      maxlength="140"><?= esc_html(get_option("turkeysms_tf2_auth_register_text")) ?>
</textarea>
												</div>
												<p id="turkeysms_tags_text9" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i> <?php echo _e('Kullanabileceğiniz Değişkenler :','turkeysmslang'); ?> </i></p>
											</div>
										</div>
										<div class="row">
											<div class="col-sm-2">
												<p style="margin-top: 5px;"><?php echo _e('Kod geçerlilik süresi(dk):','turkeysmslang'); ?></p>
											</div>
											<div class="col-sm-10">
												<div class="input-group">
													<div class="input-group-addon"> <i class="fa fa-clock-o" style="color: #17A2B8;"></i> </div>
													<input name="turkeysms_tf2_auth_register_diff"

                                                                   class="form-control"

                                                                   placeholder="<?php echo _e('Kod geçerlilik süresi (dk.) Örn: 120','turkeysmslang'); ?>"

                                                                   value="<?= esc_html(get_option("turkeysms_tf2_auth_register_diff")) ?>">
												</div>
												<p><?php echo _e('Not : Bu süre boyunca aynı numaraya tekrar kod göndermek
													
													istense bile gönderilmeyecektir. Süreyi dakika olarak
													
													yazınız. ( Varsayılan olarak 180dk. )','turkeysmslang'); ?></p>
											</div>
										</div>
									</div>
								</div>
							</div>
							<div class="form-group"> 
								
								<!--  Sipariş iptal edildiğinde belirlediğim numaralı sms ile bilgilendir -->
								
								<div class="row">
									<div class="col-sm-3">
										<div class="col-sm-7">
											<label class="control-label" for=""> <i class="fa fa-certificate" style="color: #3498DB;"></i> <i class="fa fa-certificate" style="color: #BB77AE;"></i> <i class="fa fa-certificate" style="color: #2ECC71;"></i> <?php echo _e('Kayıtlı telefon numarası ile yeni üyeliği engelle :','turkeysmslang'); ?></label>
										</div>
										<div class="col-sm-5">
											<label class="switch">
												<input name="turkeysms_tf2_auth_register_phone_control"

                                                               id="turkeysms_switch10" type="checkbox"

                                                               onchange="turkeysms_field_onoff(10)" value="1"

                                                               <?php if ((get_option('turkeysms_tf2_auth_register_phone_control')) == 1){ ?>checked <?php } ?> >
												<span class="slider round"></span> </label>
										</div>
									</div>
									<div class="col-sm-9" id="turkeysms_field10"

                                                 style="<?php if ((get_option('turkeysms_tf2_auth_register_phone_control')) == 0) { ?>display:none; <?php } ?>">
										<div class="row">
											<div class="col-sm-12">
												<div class="input-group">
													<div class="input-group-addon"> <i class="fa fa-exclamation-circle"

                                                                   style="color: #17A2B8;"></i> </div>
													<textarea name="turkeysms_tf2_auth_register_phone_warning_text"

                                                                      id="turkeysms_textarea10" class="form-control"

                                                                      placeholder="[telefon_no] numarası ile zaten üyeliğiniz mevcut."><?= esc_html(get_option("turkeysms_tf2_auth_register_phone_warning_text")) ?>
</textarea>
												</div>
												<p id="turkeysms_tags_text10" style="margin-top: 10px"><i

                                                                    class="fa fa-angle-double-right"></i> <?php echo _e('Kullanabileceğiniz Değişkenler :','turkeysmslang'); ?>  </i></p>
												<span

                                                                style="opacity: 0.7;"><?php echo _e('(Uyarı metnidir. Bu seçenekte SMS gönderilmez.)','turkeysmslang'); ?> </span> </div>
										</div>
									</div>
								</div>
							</div>
							<div class="form-group">
								<div class="col-sm-2"></div>
								<div class="col-sm-10 text-right">
									<button class="btn btn-primary" id="login_save4" name="login_save4"

                                                    onclick="login();"><i class="fa fa-folder"></i> <?php echo _e('Değişiklikleri Kaydet','turkeysmslang'); ?> </button>
								</div>
							</div>
							<div class="form-group">
								<p>
								<h4><i class="fa fa-certificate" style="color: #3498DB;"></i> <?php echo _e('BU ÖZELLİĞİ TEST ETTİKTEN SONRA KULLANMAYA BAŞLAYIN.','turkeysmslang'); ?></h4>
								<br>
								<h4><i class="fa fa-certificate" style="color: #E74C3C;"></i> <?php echo _e('Bu özelliği kullanabilmeniz için OTP SMS paketinizin olması gereklidir. TurkeySMS kullanıcı panelinden OTP SMS Paketi satın alabilirsiniz.','turkeysmslang'); ?> </h4>
								<br>
								<h4><i class="fa fa-certificate" style="color: #BB77AE;"></i> <?php echo _e('Bu özellikler woocommerce e-ticaret eklentisi yüklü ve etkin olduğunda çalışır. Woocommerce kayıt olma sayfasında geçerlidir.','turkeysmslang'); ?></h4>
								<br>
								<h4><i class="fa fa-certificate" style="color: #2ECC71;"></i> <?php echo _e('Bu seçenekteki metin uyarı olarak gösterilecektir. SMS gönderimi için değildir.</h4> <br> Satır atlamak için <strong>\n</strong> kullanabilirsiniz.','turkeysmslang'); ?> </div>
						</div>
						<?php include 'contactform7.php' ?>
						<div class="tab-pane container-fluid" id="privatesms">
							<hr>
							<div class="row">
								<div class="form-group">
									<label class="col-sm-2 control-label" for="turkeysms_user"><?php echo _e('Telefon No :','turkeysmslang'); ?> </label>
									<div class="col-sm-10">
										<div class="input-group">
											<div class="input-group-addon"> <i class="fa fa-phone" style="color: #17A2B8;"></i> </div>
											<input type="text" name="private_phone" id="private_phone" class="form-control"/>
										</div>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="form-group">
									<label class="col-sm-2 control-label" for="private_text"><?php echo _e('Mesaj:','turkeysmslang'); ?> </label>
									<div class="col-sm-10">
										<div class="input-group">
											<div class="input-group-addon"> <i class="fa fa-commenting" style="color: #17A2B8;"></i> </div>
											<textarea type="text" name="private_text" id="private_text" cols="5" placeholder="<?php echo esc_html__('Göndermek istediğiniz mesaj içeriğini girin.','turkeysmslang'); ?>" class="form-control" value=""/>
											</textarea>
										</div>
									</div>
								</div>
							</div>
							<div class="row">
								<div class="col-md-12 text-right">
									<button type="button" class="btn btn-success" onclick="privatesmsSend()"

                                                    name="sendSMS" id="sendSMS"><i class="fa fa-paper-plane"></i> <?php echo  _e('SMS Gönder','turkeysmslang'); ?> </button>
								</div>
							</div>
						</div>
						<div class="tab-pane container-fluid" id="bulksms">
							<hr>
							
							<div class="row">
								<h3> <?php echo _e('Toplu SMS İşlemleri','turkeysmslang'); ?> </h3>
							</div>
							<hr>
							<div class="row">
								<div class="col-md-12 text-right"> </div>
							</div>
							<div class="row">
								<div class="col-md-12">
									<table data-pagination="true" id="table" name="table"

                                                   class="table table-bordered table-striped dataTable no-footer"

                                                   data-search="true" data-search-align="left"

                                                   data-pagination-v-align="bottom"

                                                   data-click-to-select="true"

                                                   data-toggle="table"

                                                   data-page-list="[10, 25, 50, 100, 150, 200]">
										<a href="javascript:void(0)" class="btn btn-success"

                                                   style="float: right;" onclick="turkeysms_sendSMS_bulkTab('')"><i

                                                            class="fa fa-paper-plane"></i> <?php echo _e('SMS Gönder','turkeysmslang'); ?></a>
										<thead>
											<tr>
												<th data-checkbox="true"></th>
												<th data-visible="false"><?php echo _e('userid','turkeysmslang'); ?></th>
												<th><?php echo _e('Kullanıcı Adı','turkeysmslang'); ?></th>
												<th><?php echo _e('İsim','turkeysmslang'); ?></th>
												<th><span><?php echo _e('E-Posta','turkeysmslang'); ?></span></th>
												<th scope="col" id="phone" class="manage-column column-phone"> <?php echo _e('Telefon','turkeysmslang'); ?> </th>
											</tr>
										</thead>
										<tbody id="the-list" data-wp-lists="list:user">
											<?php

											$key2 = 0;

											foreach ( $users as $key => $user ) {
												$billing_phone = get_user_meta( $user->ID, $turkeysms_contact_meta_key, true );

												if ( isset( $billing_phone ) && !empty( $billing_phone ) ) {

													if ( $key2 > 1000 ) {

														break;

													}

													$key2++;

													?>
											<tr id="user-<?= $user->ID ?>">
												<td></td>
												<td><?= $user->ID ?></td>
												<td class="username column-username has-row-actions column-primary"

                                                                data-colname="Kullanıcı adı"><img alt=""

                                                                     src="https://1.gravatar.com/avatar/af6a28e91103e7157c9451d7b754efd2?s=32&amp;d=mm&amp;r=g"

                                                                     srcset="https://1.gravatar.com/avatar/af6a28e91103e7157c9451d7b754efd2?s=64&amp;d=mm&amp;r=g 2x"

                                                                     class="avatar avatar-32 photo" height="32"

                                                                     width="32"> <strong><a href="user-edit.php?user_id=<?= $user->ID ?>"

                                                                           target="_blank">
													<?= $user->display_name ?>
													</a></strong><br></td>
												<td class="name column-name"

                                                                data-colname="İsim"><?php
                                                                if ( !empty( $user->first_name ) ) {

                                                                	echo $user->first_name . " " . $user->last_name;

                                                                } else {

                                                                	print '—';

                                                                }
                                                                ?></td>
												<td class="email column-email" data-colname="E-posta"><a href="mailto:<?= $user->user_email ?>">
													<?= $user->user_email ?>
													</a></td>
												<td class="role column-phone" data-colname="Phone"><?= get_user_meta($user->ID, $turkeysms_contact_meta_key, true)['billing_phone'][0] ?>
													<div class="row-actions"> <span class="view"> <a href="javascript:void(0);"

                                                               onclick="turkeysms_sendSMS_bulkTab(<?= $user->ID ?>)"

                                                               id="bulkSMSbtn"><?php echo _e('Sms Gönder','turkeysmslang'); ?></a> </span> </div></td>
											</tr>
											<?php
											}

											}
											?>
									</table>
								</div>
							</div>
						</div>
						
						<?php include 'log.php' ?>
						<?php include 'settings.php' ?>
					</div>
				</div>
			</form>
			<div class="col-md-2 text-center">
				<hr>
				<p style="opacity: 0.7"><?php echo _e('Versiyon:','turkeysmslang'); ?> <a href="https://wordpress.org/plugins/turkeysms/" target="_blank">
					<?= plugin_name_get_version() ?>
					</a> | <a href="https://www.turkeysms.com.tr" target="_blank"><?php echo _e('TurkeySMS','turkeysmslang'); ?></a></p>
			</div>
		</div>
	</div>
</div>
<div id="loadingmessage"

             style="display:none;margin: 0px; padding: 0px; position: fixed; right: 0px; top: 0px; width: 100%; height: 100%; background-color: rgb(102, 102, 102); z-index: 999999; opacity: 0.8;">
	<div style="color: white; position: absolute; top: 50%; left: 50%;transform: translate(-50%, -50%); display: inline-block;">
		<div class="text-center"> <i class="fa fa-spinner fa-spin" style="font-size:24px"></i> <br>
			<span style="color: white;" id="loadMesage"><?php echo _e('Aktarılıyor, bekleyin...','turkeysmslang'); ?></span> </div>
	</div>
</div>
<script>

            jQuery('[data-toggle="tooltip"]').tooltip();



            function showLoadingMessage(message) {

                jQuery('#loadMesage').html(message);

                jQuery('#loadingmessage').show();

            }



            function hideLoadingMessage() {

                jQuery('#loadMesage').html('');

                jQuery('#loadingmessage').hide();

            }

        </script> 
<script>

            function RestrictSpace() {

                if (event.keyCode == 32) {

                    return false;

                }

            }



            jQuery("#language a:first").tab("show");



            function login() {

                jQuery('#sayfayi_yenile').val(1);

            }



            function logout() {

                swal({

                    title: '<?php echo _e('Emin misiniz?','turkeysmslang'); ?>',

                    text: "<?php echo _e('Çıkış yapılacak, onaylıyor musunuz?','turkeysmslang'); ?>",

                    type: 'warning',

                    showCancelButton: true,

                    confirmButtonColor: '#3085d6',

                    cancelButtonColor: '#d33',

                    confirmButtonText: '<?php echo _e('Evet','turkeysmslang'); ?>',

                    cancelButtonText: '<?php echo _e('Hayır','turkeysmslang'); ?>',

                    buttonsStyling: true,

                    reverseButtons: true

                }).then((result) => {

                    if (result.value) {

                        jQuery('#turkeysms_user').val('');

                        jQuery('#turkeysms_pass').val('');

                        jQuery('#input-status').val(0);

                        jQuery('#login_save').click();



                    }

                })

            }



            function cf7_form_change(id, tip, activestatus) {

                jQuery('.cf7_list_text_success_' + tip).hide('slow');

                jQuery('#turkeysms_cf7_list_text_success_' + tip + '_' + id).show('slow');

                jQuery('#turkeysms_cf7_list_tags_success_' + tip + '_' + id).show('slow');

                jQuery('#activeStatus_cf7_'+tip).attr('data', id);

            }



            function cf7_form_change2(id, tip, activestatus) {

                jQuery('.cf7_list_' + tip).hide('slow');

                jQuery('#turkeysms_cf7_list_' + tip + '_' + id).show('slow');

                jQuery('#' + activestatus).attr('data', id);

            }



            function order_status_change(id) {

                jQuery('.order_status_text').hide('slow');

                jQuery('#turkeysms_order_status_text_' + id).show('slow');

                jQuery('#activeStatus').attr('data', id);

                jQuery('#settings-btn-changed').attr('onclick', "settingOpen('" + id + "')");



                if (jQuery('#turkeysms_order_status_text_' + id + '_json').val() != '') {

                    jQuery('#setting-btn_color').css('color', '#17A2B8');

                } else {

                    jQuery('#setting-btn_color').css('color', '#2B2B2B');

                }

            }



            function turkeysms_field_onoff(id) {

                var switchstatus = document.getElementById('turkeysms_switch' + id).checked;

                var field = document.getElementById('turkeysms_field' + id);

                if (switchstatus) {

                    jQuery('#turkeysms_field' + id).show('fast')

                }

                else {

                    jQuery('#turkeysms_field' + id).hide('fast');

                }

            }



            function turkeysms_field_onoff_custom(id) {

                var switchstatus = document.getElementById('switch_' + id).checked;

                if (switchstatus) {

                    jQuery('#field_' + id).show('fast');

                } else {

                    jQuery('#field_' + id).hide('fast');

                }

            }



            var field1 = ['uye_adi', 'uye_soyadi', 'uye_telefonu', 'uye_epostasi', 'kullanici_adi', 'tarih', 'saat'];

            var field2 = ['uye_adi', 'uye_soyadi', 'uye_telefonu', 'uye_epostasi', 'kullanici_adi', 'tarih', 'saat'];

            var field3 = ['siparis_no', 'toplam_tutar', 'uye_adi', 'uye_soyadi', 'uye_telefonu', 'uye_epostasi', 'kullanici_adi', 'urun_bilgileri', 'tarih', 'saat'];

            var field4 = ['siparis_no', 'toplam_tutar', 'uye_adi', 'uye_soyadi', 'uye_telefonu', 'uye_epostasi', 'kullanici_adi', 'urun_bilgileri', 'tarih', 'saat'];

            var field5 = ['siparis_no', 'uye_adi', 'uye_soyadi', 'aciklama'];

            var field6 = ['siparis_no', 'uye_adi', 'uye_soyadi', 'uye_telefonu', 'uye_epostasi', 'kullanici_adi', 'tarih', 'saat'];

            var field7 = ['siparis_no'];

            var field8 = ['uye_adi', 'uye_soyadi', 'uye_telefonu', 'uye_epostasi', 'kullanici_adi', 'urun_kodu', 'urun_adi', 'stok_miktari', 'tarih', 'saat'];

            var field9 = ['kod', 'telefon_no', 'ad', 'soyad', 'mail', 'referans_no', 'tarih', 'saat'];

            var field10 = ['telefon_no', 'ad', 'soyad', 'mail', 'tarih', 'saat'];

            var field11 = ['siparis_no', 'not', 'uye_adi', 'uye_soyadi', 'uye_telefonu', 'uye_epostasi', 'kullanici_adi', 'siparis_toplamtutar', 'tarih', 'saat'  ];

            var field12 = ['siparis_no', 'not', 'uye_adi', 'uye_soyadi', 'uye_telefonu', 'uye_epostasi', 'kullanici_adi', 'siparis_toplamtutar', 'tarih', 'saat'  ];

            for (var x = 1; x <= 12; x++) {

                if (x != 5) {   //değişkeni olmayan idler

                    var field = window['field' + x];

                    for (var i = 0; i < field.length; i++) {

                        var textarea = document.getElementById('turkeysms_tags_text' + x);

                        var mark = '<mark onclick="varfill(' + "'turkeysms_textarea" + x + "','" + field[i] + "');" + '">[' + field[i] + ']</mark> ';
						if(x!=7)
							{
								if (textarea && textarea.innerHTML) {

									textarea.innerHTML += mark;

								} else {

									textarea.innerHTML = mark;

                        		}
							}
                        

                    }

                }

            }



            function varfill(input, degisken) {

                var textarea = document.getElementById(input);

                if (jQuery('#' + input).is(":visible")) {

                    var start = textarea.selectionStart;

                    var end = textarea.selectionEnd;

                    var finText = textarea.value.substring(0, start) + '[' + degisken + ']' + textarea.value.substring(end);

                    textarea.value = finText;

                    textarea.focus();


                    textarea.selectionEnd = end + (degisken.length + 2);

                }

            }

        </script>
<?php

    } else {

        ?>
<div class="container">
	<div class="row">
		<div class="col-md-12">
			<div class="alert alert-danger">
				<h1><?php echo _e('TurkeySMS eklentisine sadece yetki verilen kullanıcılar erişebilir.','turkeysmslang'); ?> </h1>
			</div>
			<div class="alert alert-info">
				<h2><strong><?php print $session->display_name. ' <small>('.$session->user_login.')</small>' ?></strong> <?php echo _e('kullanıcısı için, erişimi olan bir yönetici hesabı ile giriş yapıp; TurkeySMS eklentisi > Ayarlar sekmesinden izin verebilirsiniz.','turkeysmslang'); ?></h2>
			</div>
		</div>
	</div>
</div>
<?php

    }

}//login kontrol

else

{

    $text = ['Administrator(Yönetici)'];

    if($turkeysms_auth_roles_control == 1){

        foreach ($auth_roles as $auth_role) {

            array_push($text, $role_list[$auth_role]);

        }

    }

    ?>
<div class="container">
	<div class="row">
		<div class="col-md-12">
			<div class="alert alert-danger">
				<h1><?php echo _e('TurkeySMS eklentisine sadece','turkeysmslang'); ?> <?php print implode($text, ', '); ?> <?php echo _e('rollerine sahip kullanıcılar erişebilir.','turkeysmslang'); ?> </h1>
			</div>
			<div class="alert alert-info">
				<h2><b><?php print $role_list[$session->roles[0]] ?></b> <?php echo _e('rolüne sahip bu kullanıcı için, Yönetici hesabı ile giriş yapıp; TurkeySMS eklentisi > Ayarlar sekmesinden izin verebilirsiniz.','turkeysmslang'); ?></h2>
			</div>
		</div>
	</div>
</div>
<?php



}

?>
